> ## Documentation Index
> Fetch the complete documentation index at: https://rollout.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List People

> GET /people

`GET /people`

Base URL: `https://crm.universal.rollout.com/api`

## Parameters

| Name     | In    | Type                      | Required |
| -------- | ----- | ------------------------- | -------- |
| `next`   | query | string                    | No       |
| `offset` | query | string(numeric) \| number | No       |
| `limit`  | query | string(numeric) \| number | No       |

## Responses

| Status | Description |
| ------ | ----------- |
| `200`  | OK          |
| `400`  | Bad Request |
| `409`  | Conflict    |

## OpenAPI Source

`/openapi/crm.json GET /people`


## OpenAPI

````yaml /openapi/crm.json GET /people
openapi: 3.0.3
info:
  title: Universal CRM API Documentation
  description: Development documentation
  version: '1.0'
servers:
  - url: https://crm.universal.rollout.com/api
security: []
paths:
  /people:
    get:
      tags:
        - People
      summary: List People
      operationId: get_people
      parameters:
        - schema:
            type: string
          in: query
          name: next
          required: false
        - schema:
            anyOf:
              - format: numeric
                default: 0
                type: string
              - type: number
                anyOf:
                  - format: numeric
                    default: 0
                    type: string
                  - type: number
          in: query
          name: offset
          required: false
        - schema:
            anyOf:
              - format: numeric
                default: 0
                type: string
              - type: number
          in: query
          name: limit
          required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  _metadata:
                    type: object
                    properties:
                      collection:
                        type: string
                      offset:
                        type: number
                      limit:
                        type: number
                      total:
                        type: number
                      next:
                        anyOf:
                          - type: string
                        nullable: true
                      nextLink:
                        anyOf:
                          - type: string
                        nullable: true
                    required:
                      - collection
                      - offset
                      - limit
                      - total
                      - next
                      - nextLink
                  people:
                    type: array
                    items:
                      additionalProperties: {}
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        firstName:
                          type: string
                        lastName:
                          type: string
                        timezone:
                          anyOf:
                            - type: string
                          nullable: true
                        assignedUserId:
                          anyOf:
                            - type: string
                          nullable: true
                        assignedPondId:
                          anyOf:
                            - type: string
                          nullable: true
                        officeId:
                          anyOf:
                            - type: string
                          nullable: true
                        timeframeId:
                          anyOf:
                            - type: string
                          nullable: true
                        stage:
                          type: string
                        stageId:
                          anyOf:
                            - type: string
                          nullable: true
                        tags:
                          anyOf:
                            - type: array
                              items:
                                type: string
                          nullable: true
                        originalIds:
                          type: object
                          additionalProperties:
                            anyOf:
                              - type: number
                              - type: string
                        original:
                          type: object
                          additionalProperties:
                            type: object
                            additionalProperties: {}
                        created:
                          anyOf:
                            - type: string
                          nullable: true
                        updated:
                          anyOf:
                            - type: string
                          nullable: true
                        rolloutUpdated:
                          type: string
                        addresses:
                          type: array
                          items:
                            type: object
                            properties:
                              type:
                                type: string
                              street:
                                type: string
                              city:
                                type: string
                              state:
                                type: string
                              code:
                                type: string
                              country:
                                type: string
                            required:
                              - type
                              - street
                              - city
                              - state
                              - code
                              - country
                        emails:
                          type: array
                          items:
                            type: object
                            properties:
                              value:
                                type: string
                              type:
                                type: string
                              status:
                                type: string
                              isPrimary:
                                anyOf:
                                  - type: boolean
                                nullable: true
                            required:
                              - value
                              - type
                              - status
                              - isPrimary
                        phones:
                          type: array
                          items:
                            type: object
                            properties:
                              value:
                                type: string
                              type:
                                type: string
                              status:
                                type: string
                              isPrimary:
                                anyOf:
                                  - type: boolean
                                nullable: true
                            required:
                              - value
                              - type
                              - status
                              - isPrimary
                        source:
                          type: string
                        sourceId:
                          anyOf:
                            - type: string
                          nullable: true
                        systemSource:
                          type: string
                        averageBeds:
                          anyOf:
                            - type: number
                          nullable: true
                        averagePrice:
                          anyOf:
                            - type: number
                          nullable: true
                        birthday:
                          anyOf:
                            - type: string
                          nullable: true
                        lastActivity:
                          anyOf:
                            - type: string
                          nullable: true
                        lastActivityType:
                          type: string
                        contactTypes:
                          type: array
                          items:
                            type: string
                        jobTitle:
                          type: string
                        companyName:
                          type: string
                        communicationsConsent:
                          type: object
                          properties:
                            email:
                              type: boolean
                            call:
                              type: boolean
                            text:
                              type: boolean
                            massEmail:
                              type: boolean
                            postal:
                              type: boolean
                            visit:
                              type: boolean
                      required:
                        - id
                        - name
                        - firstName
                        - lastName
                        - timezone
                        - assignedUserId
                        - assignedPondId
                        - officeId
                        - timeframeId
                        - stage
                        - stageId
                        - tags
                        - originalIds
                        - original
                        - created
                        - updated
                        - rolloutUpdated
                        - addresses
                        - emails
                        - phones
                        - source
                        - sourceId
                        - systemSource
                        - averageBeds
                        - averagePrice
                        - birthday
                        - lastActivity
                        - lastActivityType
                        - contactTypes
                        - jobTitle
                        - companyName
                        - communicationsConsent
                required:
                  - _metadata
                  - people
            multipart/form-data:
              schema:
                type: object
                properties:
                  _metadata:
                    type: object
                    properties:
                      collection:
                        type: string
                      offset:
                        type: number
                      limit:
                        type: number
                      total:
                        type: number
                      next:
                        anyOf:
                          - type: string
                        nullable: true
                      nextLink:
                        anyOf:
                          - type: string
                        nullable: true
                    required:
                      - collection
                      - offset
                      - limit
                      - total
                      - next
                      - nextLink
                  people:
                    type: array
                    items:
                      additionalProperties: {}
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        firstName:
                          type: string
                        lastName:
                          type: string
                        timezone:
                          anyOf:
                            - type: string
                          nullable: true
                        assignedUserId:
                          anyOf:
                            - type: string
                          nullable: true
                        assignedPondId:
                          anyOf:
                            - type: string
                          nullable: true
                        officeId:
                          anyOf:
                            - type: string
                          nullable: true
                        timeframeId:
                          anyOf:
                            - type: string
                          nullable: true
                        stage:
                          type: string
                        stageId:
                          anyOf:
                            - type: string
                          nullable: true
                        tags:
                          anyOf:
                            - type: array
                              items:
                                type: string
                          nullable: true
                        originalIds:
                          type: object
                          additionalProperties:
                            anyOf:
                              - type: number
                              - type: string
                        original:
                          type: object
                          additionalProperties:
                            type: object
                            additionalProperties: {}
                        created:
                          anyOf:
                            - type: string
                          nullable: true
                        updated:
                          anyOf:
                            - type: string
                          nullable: true
                        rolloutUpdated:
                          type: string
                        addresses:
                          type: array
                          items:
                            type: object
                            properties:
                              type:
                                type: string
                              street:
                                type: string
                              city:
                                type: string
                              state:
                                type: string
                              code:
                                type: string
                              country:
                                type: string
                            required:
                              - type
                              - street
                              - city
                              - state
                              - code
                              - country
                        emails:
                          type: array
                          items:
                            type: object
                            properties:
                              value:
                                type: string
                              type:
                                type: string
                              status:
                                type: string
                              isPrimary:
                                anyOf:
                                  - type: boolean
                                nullable: true
                            required:
                              - value
                              - type
                              - status
                              - isPrimary
                        phones:
                          type: array
                          items:
                            type: object
                            properties:
                              value:
                                type: string
                              type:
                                type: string
                              status:
                                type: string
                              isPrimary:
                                anyOf:
                                  - type: boolean
                                nullable: true
                            required:
                              - value
                              - type
                              - status
                              - isPrimary
                        source:
                          type: string
                        sourceId:
                          anyOf:
                            - type: string
                          nullable: true
                        systemSource:
                          type: string
                        averageBeds:
                          anyOf:
                            - type: number
                          nullable: true
                        averagePrice:
                          anyOf:
                            - type: number
                          nullable: true
                        birthday:
                          anyOf:
                            - type: string
                          nullable: true
                        lastActivity:
                          anyOf:
                            - type: string
                          nullable: true
                        lastActivityType:
                          type: string
                        contactTypes:
                          type: array
                          items:
                            type: string
                        jobTitle:
                          type: string
                        companyName:
                          type: string
                        communicationsConsent:
                          type: object
                          properties:
                            email:
                              type: boolean
                            call:
                              type: boolean
                            text:
                              type: boolean
                            massEmail:
                              type: boolean
                            postal:
                              type: boolean
                            visit:
                              type: boolean
                      required:
                        - id
                        - name
                        - firstName
                        - lastName
                        - timezone
                        - assignedUserId
                        - assignedPondId
                        - officeId
                        - timeframeId
                        - stage
                        - stageId
                        - tags
                        - originalIds
                        - original
                        - created
                        - updated
                        - rolloutUpdated
                        - addresses
                        - emails
                        - phones
                        - source
                        - sourceId
                        - systemSource
                        - averageBeds
                        - averagePrice
                        - birthday
                        - lastActivity
                        - lastActivityType
                        - contactTypes
                        - jobTitle
                        - companyName
                        - communicationsConsent
                required:
                  - _metadata
                  - people
            text/plain:
              schema:
                type: object
                properties:
                  _metadata:
                    type: object
                    properties:
                      collection:
                        type: string
                      offset:
                        type: number
                      limit:
                        type: number
                      total:
                        type: number
                      next:
                        anyOf:
                          - type: string
                        nullable: true
                      nextLink:
                        anyOf:
                          - type: string
                        nullable: true
                    required:
                      - collection
                      - offset
                      - limit
                      - total
                      - next
                      - nextLink
                  people:
                    type: array
                    items:
                      additionalProperties: {}
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        firstName:
                          type: string
                        lastName:
                          type: string
                        timezone:
                          anyOf:
                            - type: string
                          nullable: true
                        assignedUserId:
                          anyOf:
                            - type: string
                          nullable: true
                        assignedPondId:
                          anyOf:
                            - type: string
                          nullable: true
                        officeId:
                          anyOf:
                            - type: string
                          nullable: true
                        timeframeId:
                          anyOf:
                            - type: string
                          nullable: true
                        stage:
                          type: string
                        stageId:
                          anyOf:
                            - type: string
                          nullable: true
                        tags:
                          anyOf:
                            - type: array
                              items:
                                type: string
                          nullable: true
                        originalIds:
                          type: object
                          additionalProperties:
                            anyOf:
                              - type: number
                              - type: string
                        original:
                          type: object
                          additionalProperties:
                            type: object
                            additionalProperties: {}
                        created:
                          anyOf:
                            - type: string
                          nullable: true
                        updated:
                          anyOf:
                            - type: string
                          nullable: true
                        rolloutUpdated:
                          type: string
                        addresses:
                          type: array
                          items:
                            type: object
                            properties:
                              type:
                                type: string
                              street:
                                type: string
                              city:
                                type: string
                              state:
                                type: string
                              code:
                                type: string
                              country:
                                type: string
                            required:
                              - type
                              - street
                              - city
                              - state
                              - code
                              - country
                        emails:
                          type: array
                          items:
                            type: object
                            properties:
                              value:
                                type: string
                              type:
                                type: string
                              status:
                                type: string
                              isPrimary:
                                anyOf:
                                  - type: boolean
                                nullable: true
                            required:
                              - value
                              - type
                              - status
                              - isPrimary
                        phones:
                          type: array
                          items:
                            type: object
                            properties:
                              value:
                                type: string
                              type:
                                type: string
                              status:
                                type: string
                              isPrimary:
                                anyOf:
                                  - type: boolean
                                nullable: true
                            required:
                              - value
                              - type
                              - status
                              - isPrimary
                        source:
                          type: string
                        sourceId:
                          anyOf:
                            - type: string
                          nullable: true
                        systemSource:
                          type: string
                        averageBeds:
                          anyOf:
                            - type: number
                          nullable: true
                        averagePrice:
                          anyOf:
                            - type: number
                          nullable: true
                        birthday:
                          anyOf:
                            - type: string
                          nullable: true
                        lastActivity:
                          anyOf:
                            - type: string
                          nullable: true
                        lastActivityType:
                          type: string
                        contactTypes:
                          type: array
                          items:
                            type: string
                        jobTitle:
                          type: string
                        companyName:
                          type: string
                        communicationsConsent:
                          type: object
                          properties:
                            email:
                              type: boolean
                            call:
                              type: boolean
                            text:
                              type: boolean
                            massEmail:
                              type: boolean
                            postal:
                              type: boolean
                            visit:
                              type: boolean
                      required:
                        - id
                        - name
                        - firstName
                        - lastName
                        - timezone
                        - assignedUserId
                        - assignedPondId
                        - officeId
                        - timeframeId
                        - stage
                        - stageId
                        - tags
                        - originalIds
                        - original
                        - created
                        - updated
                        - rolloutUpdated
                        - addresses
                        - emails
                        - phones
                        - source
                        - sourceId
                        - systemSource
                        - averageBeds
                        - averagePrice
                        - birthday
                        - lastActivity
                        - lastActivityType
                        - contactTypes
                        - jobTitle
                        - companyName
                        - communicationsConsent
                required:
                  - _metadata
                  - people
          description: OK
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Bad Request
        '409':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Conflict
      security:
        - jwt: []
          credential_id: []
components:
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      description: Authorization JWT
    credential_id:
      type: apiKey
      in: header
      name: X-Rollout-Credential-Id
      description: The Rollout Credential ID to use for queries/mutations

````